#include<bits/stdc++.h>
#define endl "\n"
#include "infection.h"
using namespace std;

vector<int> solve(vector<int> A){
    vector<pair<int,int> > a(A.size());
    for(int i=0;i<n;i++){
        a[i] = {A[i],i};
    }
    vector<int> ans;
    sort(a.begin(),a.end());
    for(int i=0;i<a.size();i++){
        if(i&1) ans.push_back(a[i].second);
    }
    return ans;
}
